Update Metasploit Framework - Solution for KALI 2016.1 & KALI 2016.2

Update Metasploit Framework – Solution for KALI Linux 2016

Update Metasploit KALI Linux
Update Metasploit KALI Linux

Update Metasploit (MSF) with KALI Linux seems Easy. Basically. When you do the typical

apt-get update; apt-get install metasploit

you will face a couple of problems:

  1. It will not update the framework to the latest release
  2. It might break dependencies about MSF’s Ruby modules

How To Update Metasploit?

The Update is done with a couple of steps. These instructions work for KALI Linux 2016.1 und the latest release KALI Linux 2016.2. It requires about 10 minutes of time to process the complete update. Here is a step-by-step instruction:

apt-get update
apt-get install metasploit-framework zlib1g-dev libpq-dev libpcap-dev libsqlite3-dev
cd /usr/share/metasploit-framework
bundle install

For a verification of the version, simple run:

msfconsole

Result: Latest Metasploit Framework Release

This procedure will update Metasploit to the latest release available for KALI Linux. However: If you are looking to the latest developer release, it right here:

Metasploit GitHub Repository

Recommended Books about Metasploit

If you are going to use MSF in deep, I suggest getting a decent book covering most topics of the Framework. Here is a list which I can recommend:

German Translations:

Hacking mit Metasploit: Das umfassende Handbuch zu Penetration Testing und Metasploit

Original Releases:

Metasploit: A Penetration Tester's Guide
Mastering Metasploit